#!/bin/bash
#

#ZT Update Script V1.0

ZTVERSION=V1.32
VERSIONROOT=ZoneTest_V132      #Nom du répertoire sur la clef USB contenant la nouvelle version
ARCHIVEDIR=/home/zonetest/Archives
ZTEXECDIR=/home/zonetest/ZT
USBEXECDIR=$VERSIONROOT/EXE



echo " "
echo "----------------------------------------------------"
echo "Mise à jour de la Zone Test"
echo La version qui sera installée est: $ZTVERSION
echo "----------------------------------------------------"
echo "Voulez-vous vraiment continuer? (o ou n)"
read UserInput

if [ "$UserInput" != "o" ]; then
    echo "Annulation..."
    exit 0
fi

#echo " "
#echo "Les valeurs d'adresse IP et de calibration PG seront écrasées."
#echo "Les avez-vous à portée de main? (o ou n)"
#read UserInput2
#if [ "$UserInput2" != "o" ]; then
#    echo "Vous devez redémarrer l'ordinateur pour lancer le logiciel ZT"
#    echo "Il faut maintenir le bouton enfoncé pendant quelques secondes"
#    exit 0
#fi

echo " "
echo "Lancement de la mise à jour..."

echo " "

echo "Copie de l'archive..."

mkdir -p $ARCHIVEDIR
cd ..
if cp -rf ./$VERSIONROOT $ARCHIVEDIR
then
    echo "Archive créée avec succès"
else
    echo "Erreur lors de la copie des fichiers dans l'archive.  Échec de la mise à jour"
    exit 1
fi

echo " "
echo "Copie des fichiers exécutables de la ZT dans $ZTEXECDIR"
if cp -rf ./$USBEXECDIR/* $ZTEXECDIR
then
    echo "Fichiers copiés avec succès"
else
    echo "Erreur lors de la copie des fichiers exécutables.  Échec de la mise à jour"
    exit 1
fi

echo " "
echo "Destruction des fichiers de passage existants"
if rm /home/zonetest/ZT/Trains/*
then
    echo "OK"
else
    echo "Erreur lors de la destruction des fichiers de passage.  Il faudra le faire manuellement"
    exit 1
fi

echo " "
echo "Synchronisation.  Ceci prendra plusieurs secondes..."
sync




echo " "
echo "----------------------------------------------------"
echo "La mise à jour s'est déroulée avec succès."
echo "----------------------------------------------------"
echo "Retirez la clef USB"
echo "Une fois redémarrée, vérifiez que la version $ZTVERSION est bien installée."
echo "Redémarrez l'ordinateur en maintenant le bouton ON/OFF enfoncé."

